package org.ts.ddcs.Entity;

import java.util.Date;

public class CommandEntity {
    private String command;
    private String rtuCode;
    private String datagram;
    private int    tryCount;
    private boolean isNeedTry;
    private Date    createTime;
    private int     liveTime;//单位分钟
    private String  fileName;
    private String  funcCode;
    private Date    lastSendTime;
    private boolean  isTry;
    private String   key;
    private String   batchId;
    private boolean  waittingBack;

    public String getCommand() {
        return command;
    }

    public void setCommand(String command) {
        this.command = command;
    }

    public String getRtuCode() {
        return rtuCode;
    }

    public void setRtuCode(String rtuCode) {
        this.rtuCode = rtuCode;
    }

    public String getDatagram() {
        return datagram;
    }

    public void setDatagram(String datagram) {
        this.datagram = datagram;
    }

    public int getTryCount() {
        return tryCount;
    }

    public void setTryCount(int tryCount) {
        this.tryCount = tryCount;
    }

    public boolean isNeedTry() {
        return isNeedTry;
    }

    public void setNeedTry(boolean needTry) {
        isNeedTry = needTry;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getLiveTime() {
        return liveTime;
    }

    public void setLiveTime(int liveTime) {
        this.liveTime = liveTime;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFuncCode() {
        return funcCode;
    }

    public void setFuncCode(String funcCode) {
        this.funcCode = funcCode;
    }

    public Date getLastSendTime() {
        return lastSendTime;
    }

    public void setLastSendTime(Date lastSendTime) {
        this.lastSendTime = lastSendTime;
    }

    public boolean isTry() {
        return isTry;
    }

    public void setTry(boolean aTry) {
        isTry = aTry;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public boolean isWaittingBack() {
        return waittingBack;
    }

    public void setWaittingBack(boolean waittingBack) {
        this.waittingBack = waittingBack;
    }
}
